/*

  1602 LCD Keypad with 16 x 2 Parallel Interface 4 bit

  Parts required:
  - Arduino Board
  - 1602 LCD Keypad with 16 x 2 Parallel Interface 4 bit

  Libraries required:
  - LiquidCrystal Adafruit 1.0.7 or Higher

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 07 Sep 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <LiquidCrystal.h>                                    // include LiquidCrystal library

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);                          // create object from LiquidCrystal.h to lcd and set all pins

int analogReadValue;                                          // create variable analogReadValue

void setup() {
  pinMode(10, OUTPUT);                                        // set pin 10 to OUTPUT
  analogWrite(10, 125);                                       // set brightness to 50%

  lcd.begin(16, 2);                                           // start lcd display with 16 positions and 2 lines
  lcd.setCursor(0, 0);                                        // set cursor position to 1 line and 1 position
  lcd.print("PRESS A KEY");                                   // print to lcd display
}

void loop() {
  analogReadValue = analogRead(A0);                           // read analog pin A0 and store in analogReadValue

  if (analogReadValue > 550 && analogReadValue < 750) {       // if analogReadValue > 550 and < 750 do
    lcd.setCursor(0, 1);                                      // set cursor position to 2 line and 1 position on lcd display
    lcd.print("(Select) Pressed");                            // print text
  }
  else if (analogReadValue > 380 && analogReadValue < 500) {  // if analogReadValue > 380 and < 500 do
    lcd.setCursor(0, 1);                                      // set cursor position to 2 line and 1 position on lcd display
    lcd.print("(Left) Pressed  ");                            // print text
  }
  else if (analogReadValue > 0 && analogReadValue < 10) {     // if analogReadValue > 0 and < 10 do
    lcd.setCursor(0, 1);                                      // set cursor position to 2 line and 1 position on lcd display
    lcd.print("(Right) Pressed  ");                           // print text
  }
  else if (analogReadValue > 70 && analogReadValue < 200) {   // if analogReadValue > 70 and < 200 do
    lcd.setCursor(0, 1);                                      // set cursor position to 2 line and 1 position on lcd display
    lcd.print("(Up) Pressed  ");                              // print text
  }
  else if (analogReadValue > 230 && analogReadValue < 350) {  // if analogReadValue > 230 and < 350 do
    lcd.setCursor(0, 1);                                      // set cursor position to 2 line and 1 position on lcd display
    lcd.print("(Down) Pressed  ");                            // print text
  }
}
